Toybrick

如何安装对应版本的linux-headers

hisilicon

新手上路

积分
35
发表于 2019-12-27 08:52:01    查看: 1309|回复: 5 | [复制链接]    打印 | 显示全部楼层
prod debian10内核为4.4.189,但apt-cache search没有与之版本匹配的linux-headers,尝试在线升级4.19,发现/boot/空间不够无法升级,所以我如何能够安装linux-headers-4.4.189,或者将内核版本升级到4.19,然后apt install 4.19的linux-headers?
感谢!
回复

使用道具 举报

jefferyzhang

超级版主

积分
7581
发表于 2019-12-27 09:03:21 | 显示全部楼层
kernel都开源了,何必去下一个不知道啥版本的kernel-header呢,
直接去include我们kernel里的头文件就好了呀
回复

使用道具 举报

hisilicon

新手上路

积分
35
 楼主| 发表于 2019-12-27 09:14:31 | 显示全部楼层
jefferyzhang 发表于 2019-12-27 09:03
kernel都开源了,何必去下一个不知道啥版本的kernel-header呢,
直接去include我们kernel里的头文件就好了 ...

感谢回复!
因为希望在板上做到编译驱动、动态加载/卸载模块,所以没有放到kernel源码中编译。。。
回复

使用道具 举报

hisilicon

新手上路

积分
35
 楼主| 发表于 2019-12-27 15:14:23 | 显示全部楼层
板上编译内核,
sudo make module_install
headers就安装到/lib/module/$(uname -r)/build目录下了。
回复

使用道具 举报

zg5918

新手上路

积分
33
发表于 2021-3-2 18:15:06 | 显示全部楼层
同问,我在编译pcie驱动,发现无header文件
回复

使用道具 举报

Ptolemaeus

中级会员

积分
205
发表于 2021-3-11 08:04:58 | 显示全部楼层
你们怎么动态加载驱动的啊?
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

产品中心 购买渠道 开源社区 Wiki教程 资料下载 关于Toybrick


快速回复 返回顶部 返回列表